﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace textXCryptCS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            try
            {
                XCRYPT10Lib.XCrypt10Class x10 = new XCRYPT10Lib.XCrypt10Class();
                string version = x10.Version();
                output.Text += "Версия XCrypt: " + version+"\r\n";
                output.Text += "Выбор сертификата\r\n";
                string cert = x10.SelectCertificate("");
                if (String.IsNullOrEmpty(cert))
                {
                    output.Text += "Сертификат не выбран\r\n";
                    return;
                }
                output.Text += "Сертификат выбран: "+cert+"\r\n";
                output.Text += "Установка параметров FilterOID=, SecretKeyValidity=366\r\n";
                x10.SetParams("FilterOID=\r\nSecretKeyValidity=366");
                output.Text += "Попытка подписи через CPGetSignature:\r\n";
                string res = x10.CPGetSignature("1234567890", cert, 1);
                if (String.IsNullOrEmpty(cert))
                {
                    output.Text += "Ошибка подписи\r\n";
                    return;
                }
                output.Text += "Подпись: " + res + "\r\n";
                output.Text += "Очистка\r\n";
                x10.Clear();
                output.Text += "Выход\r\n";
            }
            catch (Exception ex)
            {
                output.Text += "\r\nОшибка .NET: " + ex.Message+"\r\n";
                output.Text += ex.StackTrace;
            }
        }
    }
}
